function FileData_Pairs(x)
{
x.t("example","create");
x.t("example","messages");
x.t("example","permission");
x.t("example","walks");
x.t("administrators","grant");
x.t("receives","new");
x.t("receives","message");
x.t("(non-wildcard)","destination");
x.t("publishes","sends");
x.t("wish","allow");
x.t("create","subscriptions");
x.t("create","queue");
x.t("create","new");
x.t("create","non-durable");
x.t("create","subscription");
x.t("create","send");
x.t("create","durable");
x.t("sending","messages");
x.t("describes","happens");
x.t("having","explicit");
x.t("various","operations");
x.t("periodically","sent");
x.t("performs","following");
x.t("secure","property");
x.t("user","example");
x.t("user","create");
x.t("user","describes");
x.t("user","performs");
x.t("user","topic");
x.t("user","granted");
x.t("user","attempts");
x.t("user","messages");
x.t("user","cannot");
x.t("user","bob");
x.t("topic","example");
x.t("topic","user");
x.t("topic","administrator");
x.t("topic","user.bob");
x.t("topic","queue");
x.t("topic","attempts");
x.t("topic","corp.news");
x.t("topic","parent");
x.t("topic","message");
x.t("topic","tibco");
x.t("topic","send");
x.t("topic","foo");
x.t("topic","subscribing");
x.t("topic","either");
x.t("topic","names");
x.t("topic","child");
x.t("creates","subscriptions");
x.t("creates","subscription");
x.t("later","time");
x.t("until","permissions");
x.t("working","ems");
x.t("displays","administrator");
x.t("displays","messages");
x.t("displays","message");
x.t("administrator","notices");
x.t("administrator","part");
x.t("administrator","sends");
x.t("administrator","revokes");
x.t("administrator","grants");
x.t("notices","bob");
x.t("wildcard","topic");
x.t("wildcard","subscriptions");
x.t("wildcard","topics");
x.t("time","operation");
x.t("time","consumer");
x.t("time","users");
x.t("explicitly","topic");
x.t("explicitly","granted");
x.t("browser","user");
x.t("however","wildcard");
x.t("subscriptions","topic");
x.t("subscriptions","until");
x.t("subscriptions","may");
x.t("subscriptions","foo");
x.t("subscriptions","children");
x.t("subscriptions","therefore");
x.t("subscriber","topic");
x.t("subscriber","users");
x.t("user.bob","user");
x.t("user.bob","displays");
x.t("user.bob","subscribe");
x.t("user.bob","notify");
x.t("user.bob","application");
x.t("property","secure");
x.t("property","destination");
x.t("checks","user");
x.t("checks","time");
x.t("queue","publishes");
x.t("queue","browser");
x.t("queue","attempts");
x.t("queue","permissions");
x.t("queue","consumers");
x.t("subscribes","topics");
x.t("access","topic");
x.t("access","granted");
x.t("access","topics");
x.t("new","subscriptions");
x.t("new","message");
x.t("new","users");
x.t("able","receive");
x.t("granted","access");
x.t("granted","creating");
x.t("granted","permissions");
x.t("granted","revoked");
x.t("granted","appropriate");
x.t("granted","topics");
x.t("granted","durable");
x.t("actions","creates");
x.t("ems","application");
x.t("subscribe","topic");
x.t("subscribe","unspecific");
x.t("subscribe","existing");
x.t("subscribe","permission");
x.t("become","consumer");
x.t("fails","bob");
x.t("desired","permissions");
x.t("operation","fails");
x.t("operation","destination");
x.t("operation","performed");
x.t("creating","sending");
x.t("creating","durable");
x.t("perform","operation");
x.t("part","daily");
x.t("checking","example");
x.t("exists","user");
x.t("sends","message");
x.t("destination","example");
x.t("destination","user");
x.t("destination","time");
x.t("destination","explicitly");
x.t("destination","however");
x.t("destination","names");
x.t("destination","server");
x.t("attempts","create");
x.t("attempts","become");
x.t("attempts","perform");
x.t("allows","administrators");
x.t("allow","users");
x.t("contractor","employee");
x.t("permissions","user");
x.t("permissions","wildcard");
x.t("permissions","granted");
x.t("permissions","destination");
x.t("permissions","permissions");
x.t("permissions","enforced");
x.t("permissions","checked");
x.t("permissions","user\u2019s");
x.t("non-durable","subscriptions");
x.t("corp.news","user");
x.t("corp.news","administrator");
x.t("corp.news","operation");
x.t("corp.news","exists");
x.t("corp.news","succeeds");
x.t("messages","periodically");
x.t("messages","destination");
x.t("messages","based");
x.t("messages","sent");
x.t("notify","bob");
x.t("parent","topic");
x.t("chapter","authentication");
x.t("cannot","create");
x.t("cannot","specify");
x.t("may","wish");
x.t("receive","messages");
x.t("receive","message");
x.t("use_durable","permission");
x.t("maintenance","application");
x.t("revoked","dynamically");
x.t("scenario","granting");
x.t("subscription","topic");
x.t("subscription","user");
x.t("subscription","corp.news");
x.t("subscription","parent");
x.t("wildcards","permissions");
x.t("unspecific","wildcard");
x.t("explicit","permission");
x.t("consumer","queue");
x.t("consumer","producer");
x.t("producer","created");
x.t("authorization","configuration");
x.t("message","topic");
x.t("message","user");
x.t("message","displays");
x.t("message","queue");
x.t("message","destination");
x.t("message","sent");
x.t("message","bob");
x.t("tibco","software");
x.t("existing","durable");
x.t("configuration","property");
x.t("enforced","authorization");
x.t("send","message");
x.t("specific","(non-wildcard)");
x.t("specific","topics");
x.t("authentication","permissions");
x.t("foo","user");
x.t("foo","subscribe");
x.t("foo","without");
x.t("foo","child");
x.t("revoking","permissions");
x.t("granting","revoking");
x.t("appropriate","permission");
x.t("subscribing","example");
x.t("happens","various");
x.t("revokes","subscribe");
x.t("grant","permission");
x.t("grant","users");
x.t("application","receives");
x.t("application","creates");
x.t("application","subscribes");
x.t("application","receive");
x.t("application","grants");
x.t("application","used");
x.t("application","bob");
x.t("employee","administrator");
x.t("permission","create");
x.t("permission","topic");
x.t("permission","explicitly");
x.t("permission","creating");
x.t("permission","checking");
x.t("permission","specific");
x.t("children","topic");
x.t("users","create");
x.t("users","administrator");
x.t("users","able");
x.t("users","subscribe");
x.t("users","desired");
x.t("users","application");
x.t("users","durable");
x.t("topics","user");
x.t("topics","later");
x.t("topics","displays");
x.t("topics","new");
x.t("topics","granted");
x.t("topics","allows");
x.t("topics","grant");
x.t("topics","application");
x.t("based","wildcard");
x.t("daily","maintenance");
x.t("grants","access");
x.t("grants","subscribe");
x.t("grants","occur");
x.t("created","specific");
x.t("following","actions");
x.t("either","durable");
x.t("used","users");
x.t("walks","scenario");
x.t("consumers","cannot");
x.t("succeeds","message");
x.t("performed","user");
x.t("performed","destination");
x.t("names","queue");
x.t("names","permissions");
x.t("therefore","user");
x.t("without","having");
x.t("child","topics");
x.t("operations","performed");
x.t("occur","dynamically");
x.t("sent","user");
x.t("sent","topic");
x.t("sent","topics");
x.t("checked","user");
x.t("checked","permissions");
x.t("checked","chapter");
x.t("checked","users");
x.t("server","checks");
x.t("dynamically","user");
x.t("dynamically","server");
x.t("specify","wildcards");
x.t("user\u2019s","application");
x.t("durable","subscriber");
x.t("durable","subscriptions");
x.t("durable","use_durable");
x.t("durable","permission");
x.t("bob","creates");
x.t("bob","working");
x.t("bob","access");
x.t("bob","able");
x.t("bob","granted");
x.t("bob","attempts");
x.t("bob","contractor");
x.t("bob","cannot");
x.t("bob","subscription");
x.t("bob","application");
x.t("bob","grants");
}
